import { defineComponent as c, computed as m, openBlock as p, createElementBlock as u, normalizeStyle as d, unref as l, normalizeClass as g, renderSlot as f } from "vue";
import { useTheme as b } from "../../composables/useTheme.js";
const o = {
  verticalAlign: ["baseline", "bottom", "middle", "text-bottom", "text-top", "top"]
}, v = {
  pointer: Boolean,
  striped: Boolean,
  verticalAlign: {
    type: String,
    default: "top",
    validator: (t) => o.verticalAlign.includes(t)
  }
}, A = { name: "XTableRow", validators: o }, y = /* @__PURE__ */ c({
  ...A,
  props: v,
  setup(t) {
    const e = t, n = m(() => e.verticalAlign === "baseline" ? "align-baseline" : e.verticalAlign === "bottom" ? "align-bottom" : e.verticalAlign === "middle" ? "align-middle" : e.verticalAlign === "text-bottom" ? "align-text-bottom" : e.verticalAlign === "text-top" ? "align-text-top" : e.verticalAlign === "top" ? "align-top" : ""), { styles: i, classes: r, className: a } = b("TableRow", {}, e);
    return (s, x) => (p(), u("tr", {
      style: d(l(i)),
      class: g([l(a), l(r).row, n.value])
    }, [
      f(s.$slots, "default")
    ], 6));
  }
});
export {
  y as default
};
